3 comments
Comment actions Permalink
Subversion 1.8 is already supported by most components of TeamCity. The current limitations are:
  • It's not possible to use file:// protocol in Subversion VCS roots
  • In case of agent-side checkout, working copy is created in 1.7 format
  • TeamCity plugin for Eclipse is not compatible
0
Comment actions Permalink
Hi,With all due respect, the original poster's question was not answered.When will 1.8 be [fully] supported in TeamCity?I am fighting significant inertia to address lack of modern development practices within our team and a Continuous Integration process is essential for this, which must include deep integration with SubVersion.A date would help me determine if it will be yourselves or another product that will form part of my trial.Thanks,Nathan
0
Comment actions Permalink

Nathan,

As I said, TeamCity is mostly compatible with Subversion 1.8 right in the current version.
The first two limitations I mentioned are cosmetic issues, your developers will not be affected by them anyhow.
Eclipse plugin currently doesn't allow to run personal builds based on Subversion 1.8 working copies, but it doesn't affect core TeamCity functionality.

We are planning to solve these issues in next TeamCity version 8.1 that should be published in a couple of months.

0

Please sign in to leave a comment.